DROP OPERATOR(7)

NAME
DROP OPERATOR - remove a user-defined operator

SYNOPSIS

DROP OPERATOR id ( lefttype | NONE , righttype | NONE ) [ CASCADE | RESTRICT ]

  INPUTS

id  The identifier (optionally schema-qualified) of an existing operator.

lefttype
    The type of the operator's left argument; write NONE if the operator has no left argument.

righttype
    The type of the operator's right argument; write NONE if the operator has no right argument.

CASCADE
    Automatically drop objects that depend on the operator.

RESTRICT
    Refuse to drop the operator if there are any dependent objects. This is the default.

  OUTPUTS

DROP OPERATOR
    The message returned if the command is successful.

ERROR: RemoveOperator: binary operator 'oper' taking 'lefttype' and 'righttype' does not exist
    This message occurs if the specified binary operator does not exist.

ERROR: RemoveOperator: left unary operator 'oper' taking 'lefttype' does not exist
    This message occurs if the left unary operator specified does not exist.

ERROR: RemoveOperator: right unary operator 'oper' taking 'righttype' does not exist
    This message occurs if the right unary operator specified does not exist.

DESCRIPTION

DROP OPERATOR drops an existing operator from the database. To execute this command you must be the owner of the operator.

The left or right type of a left or right unary operator, respectively, must be specified as NONE.

  NOTES

The DROP OPERATOR statement is a PostgreSQL language extension.

Refer to CREATE OPERATOR [create_operator(7)] for information on how to create operators.

USAGE

Remove power operator a^n for int4:

DROP OPERATOR ^ (int4, int4);

Remove left unary negation operator (! b) for boolean:

DROP OPERATOR ! (none, bool);

Remove right unary factorial operator (i !) for int4:

DROP OPERATOR ! (int4, none);

COMPATIBILITY

  SQL92

There is no DROP OPERATOR in SQL92.